classification
Title: Make `test_zoneinfo.py` to check all pickle protocols
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, miss-islington, sobolevn
Priority: normal Keywords: patch

Created on 2021-10-22 16:42 by sobolevn, last changed 2021-10-29 20:34 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29167 merged sobolevn, 2021-10-22 16:45
PR 29295 merged miss-islington, 2021-10-28 20:22
PR 29296 merged miss-islington, 2021-10-28 20:23
Messages (5)
msg404793 - (view) Author: Nikita Sobolev (sobolevn) * (Python triager) Date: 2021-10-22 16:42
Right now it only uses a default one.

Examples:
- `3.9`: https://github.com/python/cpython/blob/aa8c3446c085175e65e736b0d2e32719c00004d2/Lib/test/test_zoneinfo/test_zoneinfo.py#L1407
- `3.10`: https://github.com/python/cpython/blob/ae78ffdc9399802621eabcd1668e44a91ec5f45e/Lib/test/test_zoneinfo/test_zoneinfo.py#L1407
- `main`: https://github.com/python/cpython/blob/ec93721e0066c4cbe40085188a9bf0952aa935ef/Lib/test/test_zoneinfo/test_zoneinfo.py#L1405

PR is on its way!
msg405261 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 20:22
New changeset 66e6b3dcd3bbab06feeff2cbaf8aade7b6223d6c by Nikita Sobolev in branch 'main':
bpo-45577: test all pickle protocols in `test_zoneinfo` (GH-29167)
https://github.com/python/cpython/commit/66e6b3dcd3bbab06feeff2cbaf8aade7b6223d6c
msg405280 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 22:00
New changeset dd674ca96f2150fb3f7b4086ef7ec0022c4e2058 by Miss Islington (bot) in branch '3.9':
bpo-45577: test all pickle protocols in `test_zoneinfo` (GH-29167) (GH-29295)
https://github.com/python/cpython/commit/dd674ca96f2150fb3f7b4086ef7ec0022c4e2058
msg405281 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 22:00
New changeset 7203ecd332eca3a44a3f1c8bdadd76a08c5568a1 by Miss Islington (bot) in branch '3.10':
bpo-45577: test all pickle protocols in `test_zoneinfo` (GH-29167) (GH-29296)
https://github.com/python/cpython/commit/7203ecd332eca3a44a3f1c8bdadd76a08c5568a1
msg405337 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-29 20:34
Thanks, Nikita! ✨ 🍰 ✨
History
Date User Action Args
2021-10-29 20:34:49lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg405337

stage: patch review -> resolved
2021-10-28 22:00:53lukasz.langasetmessages: + msg405281
2021-10-28 22:00:42lukasz.langasetmessages: + msg405280
2021-10-28 20:23:02miss-islingtonsetpull_requests: + pull_request27559
2021-10-28 20:22:58miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27558
2021-10-28 20:22:27lukasz.langasetnosy: + lukasz.langa
messages: + msg405261
2021-10-22 16:45:48sobolevnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27440
2021-10-22 16:42:30sobolevncreate